SetupConfigController_paymentsConfigure
POST
/setup/v1/payments/configure
const url = 'https://your-store.example.com/setup/v1/payments/configure';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"methods":["example"],"stripe":{"secretKey":"example","publishableKey":"example","webhookSecret":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/setup/v1/payments/configure \ --header 'Content-Type: application/json' \ --data '{ "methods": [ "example" ], "stripe": { "secretKey": "example", "publishableKey": "example", "webhookSecret": "example" } }'Request Body required
Section titled “Request Body required ” Media type application/json
object
methods
required
Array<string>
stripe
object
secretKey
required
string
publishableKey
required
string
webhookSecret
string
Example generated
{ "methods": [ "example" ], "stripe": { "secretKey": "example", "publishableKey": "example", "webhookSecret": "example" }}